<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Coin;

class Withdraw extends Model
{
    use HasFactory;

    protected $fillable = [
        'processor', 'amount', 'coin_id', 'user_id', 'status'
    ];

    public function currency()
    {
        return $this->belongsTo(Coin::class, 'coin_id');
    }

}
